package com.clx.performance.dao.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.vehiclewarn.VehicleWarnInfoMapper;
import com.clx.performance.model.vehiclewarn.VehicleWarnInfo;
import com.clx.performance.param.pc.vehiclewarn.PageVehicleWarnInfoParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

public interface VehicleWarnInfoDao extends BaseDao<VehicleWarnInfoMapper, VehicleWarnInfo, Integer> {

    boolean updateStatus(VehicleWarnInfo item);
    boolean updateWarn(VehicleWarnInfo item);

    Optional<VehicleWarnInfo> findById(Integer id);
    Optional<VehicleWarnInfo> findByChildNoAndWarnConfigType(String childNo, Integer warnConfigType);

    Optional<VehicleWarnInfo> findEnableByChildNoAndWarnConfigType(String childNo, Integer warnConfigType);

    Optional<VehicleWarnInfo> findByWarnConfigType(Integer warnConfigType);

    IPage<VehicleWarnInfo> pageByParam(PageVehicleWarnInfoParam param);


}
